Subject: Re: Constantly varying download rate with a complex xen networking setup, why?

From: Raphael Hertzog <[email-masked]>
Date: Wed, 17 Jun 2009 16:36:47 +0200

Le mercredi 17 juin 2009, Ilpo Järvinen a écrit :
> On Wed, 17 Jun 2009, Raphael Hertzog wrote:
> 
> > Le lundi 15 juin 2009, Ilpo Järvinen a écrit :
> > > Maybe the proxy interferes there somehow... I don't know enough about the
> > > details to say but I suppose the proxy at least breaks your tcp connection 
> > > to two parts.
> > 
> > Indeed. Is there some processing done in a simple linux bridge where the
> > reapperance of the same TCP packet that has been created and sent on another
> > local interface could create problem?
> 
> I thought out had a http proxy in between? I suppose it is certainly doing 
> more than bridging. Anyway, I'll be week away, so no quick responses are 
> to be expected from my part after this mail.

Well, I have the problem when I don't use the proxy... if I use it, the
download is split over two TCP connections and things are fine.

Hence my question was if something could be confused by the fact that the
same packet is seen twice on the same machine once (in output) via eth2/xenbrD
and once (in forward) via xenbrE (the routing between both bridges is done
by the domU independently of the dom0 network config).

Cheers,
-- 
Raphaël Hertzog -+- http://www.ouaza.com

Freexian : des développeurs Debian au service des entreprises
http://www.freexian.com